<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <ImageButton
            android:id="@+id/backButton"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:background="@drawable/btn_back" />

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="@dimen/AndroidChartHeight"
            android:src="@mipmap/panel" />

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="@dimen/AndroidChartHeight"
            android:src="@mipmap/needle" />

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="@dimen/AndroidChartHeight"
            android:src="@mipmap/circle" />
    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/d"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_gravity="center"
            android:text="10"
            android:textSize="80sp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBaseline="@+id/d"
            android:layout_marginStart="@dimen/dp_30"
            android:layout_toEndOf="@id/d"
            android:text="dB"
            android:textColor="#32CD32"
            android:textSize="40sp" />
    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <Button
            android:id="@+id/depthButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:paddingHorizontal="@dimen/dp_15"
            android:text="标识器测距"
            android:textSize="@dimen/sp_24"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/degreeID2"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_above="@+id/degreeButton"
            android:layout_below="@id/depthButton"
            android:layout_centerHorizontal="true"
            android:background="@null"
            android:gravity="center_vertical"
            android:text="标识器搜索中..."
            android:textSize="30sp" />

        <Button
            android:id="@+id/degreeButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="@dimen/dp_20"
            android:paddingHorizontal="@dimen/dp_15"
            android:text="查看标识器信息"
            android:textSize="@dimen/sp_24"
            android:textStyle="bold" />
    </RelativeLayout>
</LinearLayout>